package com.ssj.service.weixin.library.dto.out;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

/**
 * @author  sh
 * 调度员扫码书籍二维码 用于解绑或者归还书籍
 */
public class BookScanViewOutDto extends BaseRequest {

    private String detailId;
    /**
     * 书籍标题
     */
    private String title;
    /**
     * 书籍封面
     */
    private String localImage;
    /**
     * 主题名称
     */
    private String themeName;

    /**
     * 年级
     */
    private String grade;
    /**
     * 简介
     */
    private String summary;

    private String isbn13;

    private String libName;

    private String borrowName;

    private String price;

    private String author;



    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getLocalImage() {
        return localImage;
    }

    public void setLocalImage(String localImage) {
        this.localImage = localImage;
    }

    public String getThemeName() {
        return themeName;
    }

    public void setThemeName(String themeName) {
        this.themeName = themeName;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public String getDetailId() {
        return detailId;
    }

    public void setDetailId(String detailId) {
        this.detailId = detailId;
    }

    public String getIsbn13() {
        return isbn13;
    }

    public void setIsbn13(String isbn13) {
        this.isbn13 = isbn13;
    }

    public String getLibName() {
        return libName;
    }

    public void setLibName(String libName) {
        this.libName = libName;
    }

    public String getBorrowName() {
        return borrowName;
    }

    public void setBorrowName(String borrowName) {
        this.borrowName = borrowName;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }
}
